$ ! Procedure:	NETREXX_STARTUP.COM
$ __vfy = f$edit("VFY_''f$parse(f$environment("procedure"),,,"name")'","UPCASE")
$ if (f$type('__vfy') .eqs. "") then __vfy = 0
$ __vfy_saved = f$verify(&__vfy)
$
$err: subroutine
$ set noon
$ severity = f$edit(P1,"COLLAPSE,UPCASE")
$ identification = f$edit(P2,"COLLAPSE,UPCASE")
$ text = f$edit(P3,"TRIM")
$ continuation = (f$edit(P4,"COLLAPSE,UPCASE") .nes. "")
$ say = "write sys$output"
$ percent = "%"
$ if (continuation) then percent = "-"
$ if ((severity .eqs. "") .or. (identification .eqs. "") .or. (text .eqs. ""))
$ then say "%''facility'-F-SPOTTHEERR, <''severity'><''identification'><''text'>"
$ else say "''percent'''facility'-''severity'-''identification', ''text'"
$ endif
$ exitt 1
$ endsubroutine
$
$ procedure = f$element(0,";",f$environment("PROCEDURE"))
$ procedure_name = f$parse(procedure,,,"NAME")
$ facility = procedure_name
$ location = f$parse(procedure,,,"DEVICE","NO_CONCEAL") -
		+ f$parse(procedure,,,"DIRECTORY","NO_CONCEAL") - "]["
$
$ set noon
$ set symbol/scope=(nolocal)
$ on warning then goto bail_out
$ on control_y then goto bail_out
$
$ _arch_type = f$getsyi("ARCH_TYPE")
$ _arch_name = f$element(_arch_type,",","OTHER,VAX,ALPHA,I64") - ","
$ _vax = (_arch_type .eq. 1)
$ _axp = (_arch_type .eq. 2)
$ _i64 = (_arch_type .eq. 3)
$ _other = (.not. (_vax .or. _axp .or. _i64))
$
$ say = "write sys$output"
$ dns = "define/nolog/system"
$ dnsc = dns + "/translation=concealed"
$ err = "call___ err"
$ saysym = "write/symbol sys$output"
$
$ if (_vax) then -
$    goto err_novax
$
$ root = location - "]" + ".]"
$
$ dnsc NETREXX_ROOT 'root'
$
$dloop:
$ dir = f$search("NETREXX_ROOT:[000000]*.DIR", 32767)
$ if (dir .eqs. "") then goto end_dloop
$
$ name = f$edit(f$parse(dir,,,"NAME"),"UPCASE")
$ dns NETREXX_'name' NETREXX_ROOT:['name']
$
$ goto dloop
$end_dloop:
$ goto bail_out
$
$err_novax:
$ err F NOVAX "NetRexx is not available on VAX" 
$ goto bail_out
$
$bail_out:
$ exitt 1.or.(0*f$verify(__vfy_saved))
$ !+==========================================================================
$ !
$ ! Procedure:	NETREXX_STARTUP.COM
$ !
$ ! Purpose:	Startup procedure for IBM's NetRexx under OpenVMS.
$ !
$ ! Parameters:	None.
$ !
$ ! History:
$ !		11-Aug-2009, TES; Version V1-001
$ !	001 -	Original version.
$ !-==========================================================================
